Zum Inhalt springen
Borm Go

Get calculation summaries

GET/vex/objects/{objectId}/calculations

Returns all calculations on a voka easy object. Each item contains a VexCalculationSummary object, not the full calculation.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

objectId*string

voka easy object id

Query Parameters

referenceId?string

filters calculations by a given referenceId. This is especially useful for retrieving a newly created calculation when the calculation id is not yet known.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/vex/objects/string/calculations"
[
  {
    "addedValuePerHour": 106.5023883453069,
    "calculationId": "6e18f0fa-9716-4315-87b2-3ec2c760255b",
    "createdAt": "2025-08-01T09:37:31.272Z",
    "description": "Schrank 1",
    "hourPerM2Material": 1.092636926577005,
    "m2Material": 20.84347,
    "materialCost": 450.4278645000001,
    "materialCostPerPiece": 450.4278645000001,
    "materialCostProportion": 0.2185956701424074,
    "materialOverheadCost": 38.04622974000002,
    "objectId": "cmdsmr4nh0004k9cmfxj2yuaz",
    "order": 0,
    "position": "621.001",
    "pricePerHour": 126.280250870003,
    "quantity": 1,
    "referenceId": "cf25-445b",
    "salePrice": 2875.95,
    "surcharge": false,
    "surchargeValue": 0,
    "timeForAssembly": 7.188316500000001,
    "timeForBench": 7.116194000000001,
    "timeForFinish": 0,
    "timeForMachine": 5.259980666666666,
    "timeForPreparatoryWork": 2.829129333333333,
    "timeForShipment": 0.3807245,
    "timeForSpecialMachine": 0,
    "timeTotal": 22.774345,
    "totalPrice": 2875.95,
    "totalPriceExclSurcharge": 2875.9,
    "updatedAt": "2025-08-01T09:37:31.272Z"
  }
]
{
  "code": "BAD_USER_INPUT",
  "message": "string",
  "details": {}
}
{
  "code": "BAD_USER_INPUT",
  "message": "string",
  "details": {}
}
{
  "code": "BAD_USER_INPUT",
  "message": "string",
  "details": {}
}
{
  "code": "BAD_USER_INPUT",
  "message": "string",
  "details": {}
}
{
  "code": "BAD_USER_INPUT",
  "message": "string",
  "details": {}
}